Package org.eclipse.gef.common.beans.property

# Class ReadOnlySetMultimapPropertyBase<K,V>

java.lang.Object
org.eclipse.gef.common.beans.binding.SetMultimapExpression<K,V>
org.eclipse.gef.common.beans.property.ReadOnlySetMultimapProperty<K,V>
org.eclipse.gef.common.beans.property.ReadOnlySetMultimapPropertyBase<K,V>

Type Parameters:
  `K` - The key type of the `ObservableSetMultimap`.
  `V` - The value type of the `ObservableSetMultimap`.

All Implemented Interfaces:
  `Multimap<K,V>`, `SetMultimap<K,V>`, `javafx.beans.Observable`, `javafx.beans.property.ReadOnlyProperty<ObservableSetMultimap<K,V>>`, `javafx.beans.value.ObservableObjectValue<ObservableSetMultimap<K,V>>`, `javafx.beans.value.ObservableValue<ObservableSetMultimap<K,V>>`, `ObservableSetMultimapValue<K,V>`, `ObservableSetMultimap<K,V>`

public abstract class ReadOnlySetMultimapPropertyBase<K,V> extends ReadOnlySetMultimapProperty<K,V>
Abstract base class for implementing a read-only `Property` wrapping an `ObservableSetMultimap`.

This class provides identical functionality for `SetMultimap` as `ReadOnlyMapPropertyBase` for `Map`, `ReadOnlySetPropertyBase` for `Set`, or `ReadOnlyListPropertyBase` for `List`.

## Property Summary

### Properties inherited from class org.eclipse.gef.common.beans.binding.SetMultimapExpression

`empty, size`

## Constructor Summary

Constructors
Constructor
Description
`ReadOnlySetMultimapPropertyBase()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(javafx.beans.InvalidationListener listener)`
`void`
`addListener(javafx.beans.value.ChangeListener<? super ObservableSetMultimap<K,V>> listener)`
`void`
`addListener(SetMultimapChangeListener<? super K,? super V> listener)`
Adds a `SetMultimapChangeListener` to this `ObservableSetMultimap`.
`protected void`
`fireValueChangedEvent()`
Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `SetMultimapChangeListeners`.
`protected void`
`fireValueChangedEvent(SetMultimapChangeListener.Change<? extends K,? extends V> change)`
Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `SetMultimapChangeListeners`.
`void`
`removeListener(javafx.beans.InvalidationListener listener)`
`void`
`removeListener(javafx.beans.value.ChangeListener<? super ObservableSetMultimap<K,V>> listener)`
`void`
`removeListener(SetMultimapChangeListener<? super K,? super V> listener)`
Removes a `SetMultimapChangeListener` from this `ObservableSetMultimap`.

### Methods inherited from class org.eclipse.gef.common.beans.property.ReadOnlySetMultimapProperty

`appendValueToString, bindContent, bindContentBidirectional, equals, hashCode, toString, unbindContent, unbindContentBidirectional`

### Methods inherited from class org.eclipse.gef.common.beans.binding.SetMultimapExpression

`asMap, asString, clear, containsEntry, containsKey, containsValue, emptyProperty, entries, get, getValue, isEmpty, isEqualTo, isNotEqualTo, isNotNull, isNull, keys, keySet, put, putAll, putAll, remove, removeAll, replaceAll, replaceValues, setMultimapExpression, size, sizeProperty, values, valuesAt, valuesAt`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.common.collect.Multimap

`forEach`

### Methods inherited from interface javafx.beans.value.ObservableObjectValue

`get`

### Methods inherited from interface javafx.beans.value.ObservableValue

`getValue`

### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

`getBean, getName`

## Constructor Details

### ReadOnlySetMultimapPropertyBase

public ReadOnlySetMultimapPropertyBase()

## Method Details

### addListener

public void addListener(javafx.beans.value.ChangeListener<? super ObservableSetMultimap<K,V>> listener)

### removeListener

public void removeListener(javafx.beans.value.ChangeListener<? super ObservableSetMultimap<K,V>> listener)

### addListener

public void addListener(javafx.beans.InvalidationListener listener)

### removeListener

public void removeListener(javafx.beans.InvalidationListener listener)

### addListener

public void addListener(SetMultimapChangeListener<? super K,? super V> listener)
Description copied from interface: `ObservableSetMultimap`
Adds a `SetMultimapChangeListener` to this `ObservableSetMultimap`. If the same listener is registered more than once, it will be notified more than once.

Parameters:
  `listener` - The `SetMultimapChangeListener` to add.

### removeListener

public void removeListener(SetMultimapChangeListener<? super K,? super V> listener)
Description copied from interface: `ObservableSetMultimap`
Removes a `SetMultimapChangeListener` from this `ObservableSetMultimap`. Will do nothing if the listener was not attached to this `ObservableSetMultimap`. If it was added more than once, then only the first occurrence will be removed.

Parameters:
  `listener` - The `SetMultimapChangeListener` to remove.

### fireValueChangedEvent

protected void fireValueChangedEvent()
Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `SetMultimapChangeListeners`.

### fireValueChangedEvent

protected void fireValueChangedEvent(SetMultimapChangeListener.Change<? extends K,? extends V> change)
Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `SetMultimapChangeListeners`.

Parameters:
  `change` - the change that needs to be propagated